#include<iostream>
using namespace std;

int main(){
     long long N,minRazst;
     cin>>N;
     long long A[N];
     for(int i=0;i<N;i++){
        cin>>A[i];
     }
     long long br=0,razst,j,lock;
     for(int i=1;i<N-1 && A[i]!=0;i++){
        if(A[i]>A[i-1] && A[i]>A[i+1] ){
            br++;
            if(br==1){
              lock=A[i];
              j=i;
            }
            else{
                razst=i-j-1;
                if(br==2){
                    minRazst=razst;
                }else{
                    if(minRazst>razst){
                        minRazst=razst;
                    }
                }
                lock=A[i];
                j=i;
            }
        }

     }

     if(br<2){
        cout<<"0"<<endl;
     }else
     {
         cout<<minRazst<<endl;
     }
return 0;
}
